# Command-line interface for internal use only

# Generate preview of file from selection
if [ "${1:-}" = "--preview" ]; then
  shift
  name="$1"
  shift
  file="$ROOT/$name"
  # Get info
  awk \
    -v label_tel_text="$LABEL_TEL_TEXT" \
    -v label_tel_fax="$LABEL_TEL_FAX" \
    -v label_tel_cell="$LABEL_TEL_CELL" \
    -v label_tel_video="$LABEL_TEL_VIDEO" \
    -v label_tel_pager="$LABEL_TEL_PAGER" \
    -v label_tel_textphone="$LABEL_TEL_TEXTPHONE" \
    -v label_tel="$LABEL_TEL" \
    -v label_work="$LABEL_WORK" \
    -v label_home="$LABEL_HOME" \
    "$AWK_PREVIEW" "$file" |
    $CAT
  # Get photo, if supported and if it exists
  if [ "${CHAFA:-}" ]; then
    photo=$(mktemp)
    awk -v field="PHOTO" "$AWK_GET" "$file" | base64 -d -i >"$photo"
    type=$(file --mime-type -b "$photo" | cut -d '/' -f 1)
    if [ "$type" = "image" ]; then
      WIDTH=80
      if [ "$FZF_PREVIEW_COLUMNS" -lt "$WIDTH" ]; then
        WIDTH="$FZF_PREVIEW_COLUMNS"
      fi
      $CHAFA -f symbols -s "$WIDTH" "$photo"
    fi
    rm "$photo"
  fi
  exit
fi

# Reload view
if [ "${1:-}" = "--reload" ]; then
  shift
  __lines
  exit
fi
